=== data/CMakeLists.txt ===
if (ENABLE_XFCE)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/xfce4/panel/plugins)
endif()
if (ENABLE_MATE)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    configure_file(${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.plugin.in ${CMAKE_SOURCE_DIR}/data/sntray-mate.desktop.in)
    configure_file(${CMAKE_SOURCE_DIR}/data/sntray-mate.service.in ${CMAKE_BINARY_DIR}/data/sntray-mate.serivce)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-mate.serivce DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/dbus-1/services/ RENAME org.mate.panel.applet.SNTrayAppletFactory.service)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-mate.desktop DESTINATION ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mate-panel/applets/ RENAME org.vala-panel.SNTray.mate-panel-applet)
endif()
if (ENABLE_VALAPANEL)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
endif()
if (ENABLE_BUDGIE)
    add_schema("org.valapanel.toplevel.sntray.gschema.xml")
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray-budgie.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-sntray-plugin)
endif()
