=== debian/changelog ===
xfce4-sntray-plugin (0.4.10-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Aug 2018 12:15:42 +0200

xfce4-sntray-plugin (0.4.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned B-D on libglib2.0-dev (>= 2.50).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Mar 2018 22:37:21 +0200

xfce4-sntray-plugin (0.4.8-1) unstable; urgency=medium

  [ Unit 193 ]
  * Initial release. (Closes: #891864).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 21:23:02 +0100
