=== debian/control ===
Source: xfce4-sntray-plugin
Section: xfce
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 budgie-core-dev,
 cmake,
 debhelper (>= 11~),
 gettext,
 libglib2.0-dev (>= 2.50),
 libgtk-3-dev (>= 3.22),
 libmate-panel-applet-dev,
 libpeas-dev,
 libvalapanel-dev,
 libxfce4panel-2.0-dev,
 libxfconf-0-dev,
 libxml2-utils,
 pkg-config,
 valac,
Standards-Version: 4.2.0
Homepage: https://github.com/rilian-la-te/xfce4-sntray-plugin
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin

Package: xfce4-sntray-plugin-common
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - commoner
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 This package contains common files.

Package: xfce4-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - Xfce
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 Xfce version of the plugin.

Package: mate-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - MATE
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 MATE panel applet version of the plugin.

Package: vala-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - Vala
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 Vala Panel Applet version of the plugin.

Package: budgie-sntray-plugin
Architecture: any
Depends:
 xfce4-sntray-plugin-common,
 ${misc:Depends},
 ${shlibs:Depends},
Description: plugin for xfce4-panel to show StatusNotifierItems - Budgie
 Plugin for xfce4-panel to show StatusNotifierItems
 (also known as AppIndicators). Based on ValaPanel`s
 StatusNotifier and xfce4-snw-plugin by equiem.
 .
 Budgie panel applet version of the plugin.
