=== debian/watch ===
version=4
https://github.com/rilian-la-te/xfce4-sntray-plugin/releases \
	.*/xfce4-sntray-plugin-([\d\.]+)\.tar\.(?:gz|bz2)
