## xfce4-sntray-plugin 0.4.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 project(xfce4-sntray-plugin C)
-cmake_minimum_required(VERSION 3.3)
-cmake_policy (VERSION 3.3)
+cmake_minimum_required(VERSION 3.6 FATAL_ERROR)
+cmake_policy (VERSION 3.6)
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/vala)
 
 include(ValaPrecompile)
 include(GNUInstallDirs)
 
-find_package(Vala 0.32 REQUIRED)
+find_package(Vala 0.36 REQUIRED)
 find_package(PkgConfig)
 set (GETTEXT_PACKAGE "xfce4-sntray-plugin")
 include(GitVersion)
@@ -31,23 +31,23 @@
 include(CMakeDependentOption)
 
 #set build options
-pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0)
+pkg_check_modules(XFCE libxfce4panel-2.0 libxfconf-0 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_XFCE "Enable Xfce Panel Integration" ON
     "XFCE_FOUND" OFF)
 
-pkg_check_modules(MATE libmatepanelapplet-4.0)
+pkg_check_modules(MATE libmatepanelapplet-4.0>=1.20 IMPORTED_TARGET)
 cmake_dependent_option(ENABLE_MATE "Enable mate-panel Integration" ON
     "MATE_FOUND" OFF)
 
-pkg_check_modules(PEAS libpeas-1.0)
-pkg_check_modules(VALAPANEL vala-panel)
-pkg_check_modules(VP_NEW vala-panel>=0.3.50 QUIET)
-pkg_check_modules(BUDGIE budgie-1.0)
+pkg_check_modules(PEAS libpeas-1.0 IMPORTED_TARGET)
+pkg_check_modules(VALAPANEL vala-panel IMPORTED_TARGET)
+pkg_check_modules(VP_NEW vala-panel>=0.4.50 QUIET)
+pkg_check_modules(BUDGIE budgie-1.0 IMPORTED_TARGET)
 
 cmake_dependent_option(ENABLE_VALAPANEL "Enable Vala Panel Integration" ON
-    "VALAPANEL_FOUND; PEAS_FOUND" OFF)
+    "VALAPANEL_FOUND" OFF)
 if (VP_NEW_FOUND)
-    message("Using 0.4 ValaPanelApplet api")
+    message("Using 0.5 ValaPanelApplet api")
     set(NEW_DEFINE -D NEW)
     set(NEW_IFACE ON)
 endif()
