=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
         source
             sntray.gresource.xml
     )
-add_library(sntray-core STATIC ${VALA_C_CORE} $<TARGET_OBJECTS:vala-dbusmenu-o>)
+add_library(sntray-core STATIC ${VALA_C_CORE} dbus-utils.c $<TARGET_OBJECTS:vala-dbusmenu-o>)
 target_include_directories(sntray-core PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu)
 target_link_libraries (sntray-core GLIB2::GIO_UNIX GTK3::GDK GTK3::GTK m)
 add_custom_target(sntray-core-ide SOURCES ${VALA_FILES_DBUSMENU} ${VALA_FILES_CORE})
@@ -67,8 +67,7 @@
         ${VALA_C_XFCE}
         ${RESOURCES}
     )
-    include_directories(${XFCE_INCLUDE_DIRS})
-    target_link_libraries(sntray-xfce  sntray-core ${XFCE_LIBRARIES})
+    target_link_libraries(sntray-xfce  sntray-core PkgConfig::XFCE)
     add_custom_target(sntray-xfce-ide SOURCES ${VALA_FILES_XFCE})
 
     # Install plugin stuffs
@@ -81,12 +80,17 @@
 #################
 set(VALA_FILES_VALAPANEL vala-panel-sntray-applet.vala)
 if (ENABLE_VALAPANEL)
+    if(NEW_IFACE)
+        set(PLUGIN_PACKAGE "")
+    else()
+        set(PLUGIN_PACKAGE libpeas-1.0)
+    endif()
     vala_precompile(VALA_C_VALAPANEL sntray-valapanel
 	    ${VALA_FILES_VALAPANEL}
     PACKAGES
         gtk+-3.0
         vala-panel-sntray
-        libpeas-1.0
+        ${PLUGIN_PACKAGE}
         vala-panel
     OPTIONS
         --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi
@@ -103,9 +107,10 @@
         ${VALA_C_VALAPANEL}
         ${RESOURCES}
     )
-    include_directories(${VALAPANEL_INCLUDE_DIRS})
-    target_link_libraries(sntray-valapanel sntray-core ${VALAPANEL_LIBRARIES})
+    target_link_libraries(sntray-valapanel sntray-core PkgConfig::VALAPANEL)
     add_custom_target(sntray-valapanel-ide SOURCES ${VALA_FILES_VALAPANEL})
+    set_target_properties(sntray-valapanel PROPERTIES
+        OUTPUT_NAME sntray)
 
     # Install plugin stuffs
     install(TARGETS sntray-valapanel DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
@@ -136,12 +141,11 @@
         ${VALA_C_BUDGIE}
         ${RESOURCES}
     )
-    include_directories(${BUDGIE_INCLUDE_DIRS})
-    target_link_libraries(sntray-budgie sntray-core ${BUDGIE_LIBRARIES})
+    target_link_libraries(sntray-budgie sntray-core PkgConfig::BUDGIE)
     add_custom_target(sntray-budgie-ide SOURCES ${VALA_FILES_BUDGIE})
 
     # Install plugin stuffs
-    install(TARGETS sntray-budgie DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins)
+    install(TARGETS sntray-budgie DESTINATION ${CMAKE_INSTALL_LIBDIR}/budgie-desktop/plugins/budgie-sntray-plugin)
 endif()
 
 #################
@@ -167,15 +171,14 @@
     #####
     # Plugin Library
     #####
-    add_executable (sntray-mate
-	${VALA_C_MATE}
+    add_library (sntray-mate MODULE
+        ${VALA_C_MATE}
 	${RESOURCES}
     )
     add_dependencies(sntray-mate sntray-core)
-    include_directories(${MATE_INCLUDE_DIRS})
-    target_link_libraries(sntray-mate sntray-core ${MATE_LIBRARIES})
+    target_link_libraries(sntray-mate sntray-core PkgConfig::MATE)
     add_custom_target(sntray-mate-ide SOURCES ${VALA_FILES_MATE})
 
     # Install plugin stuffs
-    install(TARGETS sntray-mate DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/mate-panel)
+    install(TARGETS sntray-mate DESTINATION ${CMAKE_INSTALL_LIBDIR}/mate-panel)
 endif()
