=== debian/changelog ===
xfce4-sntray-plugin (0.4.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Upstream moved to GitLab.com.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.
    + Maked B-D on libvalapanel-dev versioned (>= 0.4). (Closes: #907707).
    + Update Homepage: field.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update Source: URL.
  * debian/*.install:
    + Adapt to new upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 05 Sep 2018 08:30:43 +0200
