=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
  libgtk-3-dev (>= 3.22),
  libmate-panel-applet-dev,
  libpeas-dev,
- libvalapanel-dev,
+ libvalapanel-dev (>= 0.4),
  libxfce4panel-2.0-dev,
  libxfconf-0-dev,
  libxml2-utils,
  pkg-config,
  valac,
-Standards-Version: 4.2.0
-Homepage: https://github.com/rilian-la-te/xfce4-sntray-plugin
+Standards-Version: 4.2.1
+Homepage: https://gitlab.com/vala-panel-project/xfce4-sntray-plugin
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin
