=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure $(DHFLAGS) -- \
	        -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib \
	        $(NULL)

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
