=== debian/changelog ===
xfce4-sntray-plugin (0.4.12-2) unstable; urgency=medium

  * debian/control:
    + Fix B:/R: relation; replace xfce4-sntray-plugin by vala-sntray-plugin.
      (Closes: #940212).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Sep 2019 10:23:55 +0200

xfce4-sntray-plugin (0.4.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS against libvalapanel-dev (>= 0.4.89). (Closes: #935794).
  * debian/patches:
    + Add 2001_no-GitVersion-for-Debian-packaging.patch. Work around non-Debian
      compatibility cmake/FallbackVersion.cmake."
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/control:
    + Update versioned B-Ds.
    + Add versioned B-D: cmake-vala (>= 3).
    + Add versioned B-D dpkg-dev (>= 1.16.1.1).
    + Add B:/R: (xfce4-sntray-plugin-common) for xfce4-sntray-plugin
      (<< 0.4.12).
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/vala-sntray-plugin.install:
    + Update filename of org.valapanel.sntray.plugin.
  * debian/rules:
    + Prep build-env with package's upstream version and inject that into
      cmake/FallbackVersion.cmake.
    + MATE, Budgie and Vala Panel plugins go to non-multiarch path,
      whereas XFCE4 plugin goes to multiarch path.
  * debian/budgie-sntray-plugin.install:
    + Install Budgie plugin to non-multiarch LIBDIR.
      (Closes: #928377).
  * debian/mate-sntray-plugin.install:
    + Install MATE plugin to non-multiarch LIBDIR.
  * debian/vala-sntray-plugin.install:
    + Install Vala Panel Plugin to non-multiarch LIBDIR.
    + Drop gschema file.
  * debian/xfce4-sntray-plugin-common.install:
    + Move gschema file over to -common bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Sep 2019 20:58:27 +0200
