=== debian/control ===
--- 
+++ 
@@ -7,21 +7,23 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- budgie-core-dev,
+ budgie-core-dev (>= 2),
  cmake,
- debhelper (>= 11~),
+ cmake-vala (>= 3),
+ debhelper-compat (= 12),
+ dpkg-dev (>= 1.16.1.1),
  gettext,
  libglib2.0-dev (>= 2.50),
  libgtk-3-dev (>= 3.22),
- libmate-panel-applet-dev,
- libpeas-dev,
- libvalapanel-dev (>= 0.4),
+ libmate-panel-applet-dev (>= 1.20),
+ libpeas-dev (>= 1.14),
+ libvalapanel-dev (>= 0.4.89),
  libxfce4panel-2.0-dev,
  libxfconf-0-dev,
  libxml2-utils,
  pkg-config,
- valac,
-Standards-Version: 4.2.1
+ valac (>= 0.36),
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/vala-panel-project/xfce4-sntray-plugin
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin
@@ -31,6 +33,10 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ vala-sntray-plugin (<< 0.4.12),
+Replaces:
+ vala-sntray-plugin (<< 0.4.12),
 Description: plugin for xfce4-panel to show StatusNotifierItems - commoner
  Plugin for xfce4-panel to show StatusNotifierItems
  (also known as AppIndicators). Based on ValaPanel`s
