=== debian/watch ===
version=4
https://gitlab.com/vala-panel-project/xfce4-sntray-plugin/tags .*/xfce4-sntray-plugin-(\d\S+)\.tar\.gz
