## xfce4-sntray-plugin 0.4.13

=== debian/changelog ===
xfce4-sntray-plugin (0.4.13-1) unstable; urgency=medium

  * New upstream release. (Closes: #951981).
  * debian/changelog:
    + Fix typo in previous stanza.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Bump DH compat level to versio n13.
    + Bump versioned B-D on libvalapanel-dev to (>= 0.4.92).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jul 2020 13:53:57 +0200
