## xfce4-sntray-plugin 0.4.13.1

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,7 @@
 if (ENABLE_VALAPANEL)
     add_schema("org.valapanel.toplevel.sntray.gschema.xml")
     configure_file(${CMAKE_SOURCE_DIR}/data/sntray.desktop.plugin.in.cmake ${CMAKE_SOURCE_DIR}/data/sntray.desktop.plugin.in)
-    if (NEW_IFACE)
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala-panel/applets)
-    else()
-        install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_LIBDIR}/vala-panel/applets)
-    endif()
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sntray.plugin DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala-panel/applets RENAME org.valapanel.sntray.plugin)
 endif()
 if (ENABLE_BUDGIE)
     add_schema("org.valapanel.toplevel.sntray.gschema.xml")
