=== src/dbusmenu/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,10 @@
 cmake_policy (SET CMP0063 NEW)
 project (vala-dbusmenu C)
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
+
+if(${VALA_VERSION} VERSION_LESS "0.40.4")
+    set(ADDONS_PACKAGE gio-addons-2.0)
+endif()
 
 # Vala
 find_package (Vala 0.24 REQUIRED)
@@ -16,7 +20,6 @@
                 -Wno-ignored-qualifiers
                 -Wno-incompatible-pointer-types
                 -Wno-missing-field-initializers
-                -Wno-discarded-qualifiers
                 -Wno-sign-compare
                 ) #Vala often forgot cast to GtkWidget or gpointer
 
@@ -45,12 +48,11 @@
     gtk+-3.0
     gio-2.0
     glib-2.0
-    gio-addons-2.0
     gobject-2.0
+    ${ADDONS_PACKAGE}
 OPTIONS
-    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
+    --vapidir=${CMAKE_SOURCE_DIR}/vapi
     --target-glib=2.44
-    --thread
 GENERATE_VAPI
     vala-dbusmenu
 GENERATE_HEADER
