=== debian/changelog ===
xfce4-sntray-plugin (0.4.13.1-5) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Oct 2024 20:49:42 -0400

xfce4-sntray-plugin (0.4.13.1-4) experimental; urgency=medium

  * Team upload
  * Revert dropping Budgie plugin

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 16:48:52 -0400

xfce4-sntray-plugin (0.4.13.1-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Temporarily drop Budgie plugin
  * Bump Standards Version to 4.6.2

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 16:47:02 -0400

xfce4-sntray-plugin (0.4.13.1-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_fix-FTBFS-in-dbusmenu-client-vala.patch. Fix FTBFS in
      src/dbusmenu/client.vala. (Closes: #997290).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Dec 2021 23:42:54 +0100

xfce4-sntray-plugin (0.4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Jul 2020 22:56:56 +0200
