=== debian/control ===
--- 
+++ 
@@ -7,26 +7,26 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- budgie-core-dev (>= 2),
+ budgie-core-dev,
  cmake,
  cmake-vala (>= 3),
- debhelper-compat (= 12),
- dpkg-dev (>= 1.16.1.1),
+ debhelper-compat (= 13),
  gettext,
- libglib2.0-dev (>= 2.50),
- libgtk-3-dev (>= 3.22),
- libmate-panel-applet-dev (>= 1.20),
- libpeas-dev (>= 1.14),
- libvalapanel-dev (>= 0.4.89),
+ libglib2.0-dev,
+ libgtk-3-dev,
+ libmate-panel-applet-dev,
+ libpeas-dev,
+ libvalapanel-dev (>= 0.4.92),
  libxfce4panel-2.0-dev,
  libxfconf-0-dev,
  libxml2-utils,
- pkg-config,
- valac (>= 0.36),
-Standards-Version: 4.4.0
+ pkgconf,
+ valac,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://gitlab.com/vala-panel-project/xfce4-sntray-plugin
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/xfce4-sntray-plugin
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/xfce4-sntray-plugin
 
 Package: xfce4-sntray-plugin-common
 Architecture: all
