=== debian/rules ===
#!/usr/bin/make -f

NULL =

include /usr/share/dpkg/architecture.mk
export DEB_LDFLAGS_MAINT_APPEND= -Wl,-O1 -Wl,-z,defs
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

UVER      = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE     =
VER      ?= $(subst $(DTYPE),,$(UVER))

VER_MAJOR = $(shell echo $(VER) | cut -d "." -f1)
VER_MINOR = $(shell echo $(VER) | cut -d "." -f2)
VER_PATCH = $(shell echo $(VER) | cut -d "." -f3)

%:
	dh $@

override_dh_auto_configure:
	mkdir -p "$(CURDIR)/cmake/"
	sed -e 's/@VERSION@/$(VER)/'			\
	    -e 's/@VERSION_MAJOR@/$(VER_MAJOR)/'	\
	    -e 's/@VERSION_MINOR@/$(VER_MINOR)/'	\
	    -e 's/@VERSION_PATCH@/$(VER_PATCH)/'	\
	    $(CURDIR)/cmake/FallbackVersion.cmake.in > $(CURDIR)/cmake/FallbackVersion.cmake
	dh_auto_configure $(DHFLAGS) -- \
	        -DCMAKE_INSTALL_LIBDIR=/usr/lib \
	        $(NULL)

execute_before_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4
	mv $(CURDIR)/debian/tmp/usr/lib/xfce4 $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	rm -Rfv $(CURDIR)/debian/tmp/usr/lib/xfce4

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
